<?php
#------------------------------------------
# Funciones para los plugins de Series.ly
#------------------------------------------

function _readCookiesSeriesLy()
{

$credenciales = _LeerConfig();
$arr = explode(":", $credenciales);
           if (count($arr) == 2) {
            $usuario = $arr[0];
            $clave = $arr[1]; };
            

	$postdata = http_build_query(array('lg_login' => $usuario,'lg_pass' => $clave,'recordar' => ''));
	$opts = array('http' =>array('method' => 'POST','header' => 'Content-type: application/x-www-form-urlencoded','content' => $postdata));
	$context = stream_context_create($opts);
	$getHeaders = file_get_contents("http://series.ly/scripts/login/login.php", false, $context);
        //Buscamos las cookies en el header de respuesta
        $bus_phpsessid = preg_grep('/PHPSESSID/', $http_response_header);
        $bus_api_seriesly = preg_grep('/api_seriesly/', $http_response_header);
        $bus_enc_seriesly = preg_grep('/enc_seriesly/', $http_response_header);
        $bus_seriesly_frontend = preg_grep('/series.ly-frontend/', $http_response_header); 
        $bus_uid_seriesly = preg_grep('/uid_seriesly/', $http_response_header);   
        $bus_sess_seriesly = preg_grep('/sess_seriesly/', $http_response_header);
        //Ordenamos los arrays y sus indices
        $bus_phpsessid[1]=array_keys(array_count_values($bus_phpsessid)); 
        $bus_api_seriesly[1]=array_keys(array_count_values($bus_api_seriesly));
        $bus_enc_seriesly[1]=array_keys(array_count_values($bus_enc_seriesly));
        $bus_seriesly_frontend[1]=array_keys(array_count_values($bus_seriesly_frontend));
        $bus_uid_seriesly[1]=array_keys(array_count_values($bus_uid_seriesly));
        $bus_sess_seriesly[1]=array_keys(array_count_values($bus_sess_seriesly));
        //Obtenemos los valores de las cookies
        preg_match('/Set-Cookie: (.*) .*path/',$bus_phpsessid[1][0],$PHPSESSID1);
        preg_match('/Set-Cookie: (.*) expires/',$bus_enc_seriesly[1][0],$enc_seriesly);
        preg_match('/Set-Cookie: (.*) expires/',$bus_uid_seriesly[1][0],$uid_seriesly);
        preg_match('/Set-Cookie: (.*) expires/',$bus_api_seriesly[1][0],$api_seriesly);
        preg_match('/Set-Cookie: (.*) .*path/',$bus_seriesly_frontend[1][0],$seriesly_frontend);
        preg_match('/Set-Cookie: (.*) expires/',$bus_sess_seriesly[1][0],$sess_seriesly);
        $galletas = $PHPSESSID1[1].$api_seriesly[1].$enc_seriesly[1].$seriesly_frontend[1].$uid_seriesly[1].$sess_seriesly[1];
        file_put_contents( '/tmp/serieslycookie' ,$galletas);
	return $galletas;
}


function _NosLogamos()
{
$auth_token=file_get_contents('http://series.ly/api/auth.php?api=16&secret=7F3Ff9PeVu7ch3vTPZ93');
$mi_cookie = _readCookiesSeriesLy(); #Nos logamos. Realizamos POST a "http://series.ly/scripts/login/login.php" y guardamos el ID de la sesion
$opts = array('http'=>array('method'=>"GET",'header'=>"Cookie: ".$mi_cookie."\r\n"));
$context = stream_context_create($opts);
$userT=file_get_contents('http://series.ly/api/authUser.php?callback_url=no&action=perm&autologin=true&auth_token='.$auth_token,false,$context);
file_put_contents( '/tmp/serieslyusertoken' , $userT);
return $userT;
}

function do_post_request($url, $data, $optional_headers = null)
{
$params = array('http' => array(
'method' => 'POST',
'content' => $data
));
if ($optional_headers !== null) {
$params['http']['header'] = $optional_headers;
}
$ctx = stream_context_create($params);
$fp = @@fopen($url, 'rb', false, $ctx);
if (!$fp) {
throw new Exception("Problem with $url, $php_errormsg");
}
$response = @@stream_get_contents($fp);
if ($response === false) {
throw new Exception("Problem reading data from $url, $php_errormsg");
}
return $response;
}


function _LeerConfig() {
      $path=null;
    if (file_exists('/conf/config')) {
       $config = file_get_contents('/conf/config');
        if(preg_match('/SERIES_LY=\'(.+)\'/', $config, $config_result)) {
         $path = $config_result[1];
         }
     }
 return $path;
}
?>
